package com.energy.manage.service.mappers.system;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.system.SysRolePO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 角色表
 *
 * @author sy
 * @date 2021-10-18 13:32:05
 */
@Repository
public interface SysRoleMapper extends MyMapper<SysRolePO> {

    List<SysRolePO> getRoleListByName(@Param("roleName") String roleName,@Param("roleAvailable") Integer roleAvailable);

    int updateRoleSelective(SysRolePO rolePO);

    String selectUserRoleCodeByUserId(Integer userId);

    SysRolePO selectRoleByUserId(Integer userId);

}
